Page MenuHomePhabricator

nodemap: double check the source docket when doing incremental update
ClosedPublic

Authored by marmoute on Jan 15 2020, 9:56 AM.

Details

Summary

In theory, the index will have the information we expect it to have. However by
security, it seems safer to double check that the incremental data are generated
from the data currently on disk.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 15 2020, 9:56 AM
marmoute retitled this revision from nodemapdata: double check the source docket when doing incremental update to nodemap: double check the source docket when doing incremental update.Jan 15 2020, 1:09 PM
marmoute updated this revision to Diff 19771.Jan 31 2020, 10:29 AM
marmoute updated this revision to Diff 19798.Jan 31 2020, 6:00 PM
marmoute updated this revision to Diff 19842.Feb 2 2020, 3:19 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19902.Feb 4 2020, 7:25 PM

rebase to latest default

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.